Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156489 - Enable usbmon
Summary: Enable usbmon
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-01 06:49 UTC by Pete Zaitcev
Modified: 2015-01-04 22:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-09 16:08:02 UTC


Attachments (Terms of Use)
diff -u dmesg-2.6.11-1.1276_FC4 dmesg-2.6.11-1.1282_FC4 (deleted)
2005-05-03 16:31 UTC, James Laska
no flags Details

Description Pete Zaitcev 2005-05-01 06:49:00 UTC
The usbmon is at a point where I can actively use it for bug investigation.
But for that, it has to be enabled by default.

Fedora does not need extra code, only configuration changes.
The usbmon uses debugfs, so two variables have to be changed.
New proposed values:

CONFIG_DEBUG_FS=m
CONFIG_USB_MON=m

This applies to all platforms except s390, s390x.

I see no risk of regressions.

There's a small bloat to RPMs with an extra module. Dunno if it's essential.
RAM consumption is very small - URBs have no new fields in current version.

I did not evaluate security of debugfs.

Comment 1 Dave Jones 2005-05-01 08:13:46 UTC
done in cvs. will be in next build.


Comment 2 James Laska 2005-05-03 16:31:36 UTC
Created attachment 113977 [details]
diff -u dmesg-2.6.11-1.1276_FC4 dmesg-2.6.11-1.1282_FC4

Attaching a diff of dmesg from kernel-2.6.11-1.1276_FC4 (working USB) and
kernel-2.6.11-1.1282_FC4 (non working USB).

Comment 3 James Laska 2005-05-03 16:48:25 UTC
In response to comment#2, this issue has been identified already as a problem
with SELinux

>  > USB Universal Host Controller Interface driver v2.2
>  > SELinux: initialized (dev debugfs, type debugfs), not configured for labeling
>  > audit(1115130343.125:0): avc:  denied  { mount } for  name=/ dev=debugfs
ino=5310 scontext=system_u:system_r:insmod_t
tcontext=system_u:object_r:unlabeled_t tclass=filesystem

Booting with selinux=0 or enforcing=0 works around the issue.

Comment 4 Pete Zaitcev 2005-05-03 16:50:01 UTC
I'm going to un-modify it for now. Dave will disable debugfs and re-enable
it for test3.


Comment 5 Pete Zaitcev 2005-06-02 03:28:49 UTC
Modified again in 2.6.11-1.1366_FC4



Note You need to log in before you can comment on or make changes to this bug.